Index: /trunk/BNC/CHANGELOG.md
===================================================================
--- /trunk/BNC/CHANGELOG.md	(revision 10282)
+++ /trunk/BNC/CHANGELOG.md	(revision 10283)
@@ -2,5 +2,5 @@
 
 ## 2.13.0 (2023-12-01)
-- ADDED: **RINEX Version 4 Support** (in navigation files currently the EPH message type is considerred only)
+- ADDED: **RINEX Version 4 Support** (in navigation files currently the EPH message type is considered only)
 - ADDED: **PPP Client Upgrade**
 - ADDED: Multi-GNSS-PPP using uncombined code and/or phase data of two frequencies
@@ -9,5 +9,5 @@
 - ADDED: **Ntrip Version 2.0 Upload including TLS**
 - ADDED: **Multi-GNSS Satellite Clock Combination**
-- ADDED: Individual code biases will be considerred befor satellite clock are combined
+- ADDED: Individual code biases will be considered before satellite clock are combined
 - ADDED: Satellite clock combination result includes code biases
 - ADDED: Ephemerides upload for different systems in parallel
@@ -27,5 +27,5 @@
 
 ## 2.12.17 (2021-04-20)
-- ADDED (11.03.2021): One more line with satellite health flags for the GLONASS navigation messag as defiend in RINEX v. 3.05
+- ADDED (11.03.2021): One more line with satellite health flags for the GLONASS navigation message as defined in RINEX v. 3.05
 - FIXED (25.03.2021): Bug in SSR GLONASS upload
 - FIXED (17.03.2021): Redundant output concerning unhealthy satellites
@@ -34,5 +34,5 @@
 - FIXED     (18.12.2020): Bug in IRNSS ephemeris encoding / decoding
 - FIXED     (10.12.2020): Bug in RTCM3coDecoder regrading SSR format
-- FIXED     (04.12.2020): Bug regarding consideration of incomming ephemerides
+- FIXED     (04.12.2020): Bug regarding consideration of incoming ephemerides
 - FIXED     (04.12.2020): Small bugfix regarding latency check
 - FIXED     (01.12.2020): relativistic effects are adapted with respect
@@ -53,5 +53,5 @@
 - ADDED     (31.10.2020):  ephemeris checks and related debugging output
 - ADDED     (22.10.2020):  check if orbit and clock corrections are out of range
-- FIXED     (29.09.2020):  small bugfixes regading long mountpoint names
+- FIXED     (29.09.2020):  small bugfixes regarding long mountpoint names
                             in latency check and latency plots,
 - FIXED     (29.09.2020):  debug output deleted
@@ -96,5 +96,5 @@
 - FIXED   (10.05.2019): typo in rtnet2ssr transition for ssr upload
 - CHANGED (13.05.2019): number of possible phase biases for ssr upload
-                          are enlaged to 100
+                          are enlarged to 100
 - CHANGED (13.05.2019): default observation types for Galileo
 - CHANGED (10.05.2019): missing phase biases are added within rtnet2ssr transition for ssr upload
@@ -116,10 +116,10 @@
                           detected sourcetable
 - ADDED   (19.09.2018): Two more polynomial coefficients of the SSR clock correction
-                          message and one more parameter to decribe the SSR URA
+                          message and one more parameter to describe the SSR URA
 - ADDED   (11.12.2017): Decoding of receiver descriptor in MT 1033
 - ADDED   (27.11.2017): Satellite health check
 - ADDED   (26.10.2017): IRNSS support in RINEX QC
 - CHANGED (06.07.2018): Parameters for transformation of orbit and clock corrections
-                          from ITRF 2014 into ETRF2000 and DREF 91,
+                          from ITRF 2014 into ETRF2000 and DREF91,
                           no updated parameters for NDA83 available, hence deleted
 - CHANGED (28.06.2018): Allow 10 Hz observation data processing and re-sampling
@@ -129,5 +129,5 @@
                           NDA83 or DREF91 is done temporarily via ITRF2008
 - FIXED   (29.03.2019): Bug in NMEA checksum
-- FIXED   (25.03.2019): Bug in RINEX file concatention
+- FIXED   (25.03.2019): Bug in RINEX file concatenation
 - FIXED   (05.09.2018): Bug in RTCM3 ephemeris message for QZSS
 - FIXED   (29.08.2018): Bug in RTCM3 ephemeris message for BDS and SBAS
@@ -158,12 +158,12 @@
 - ADDED   (01.09.2016): Number of allowed SSR biases is enlarged, some future
                           GLONASS signal and tracking mode identifier are added
-- ADDED   (08.08.2016): Some informations about the data source is added as
+- ADDED   (08.08.2016): Some information about the data source is added as
                           comment within the header of RINEX navigation files
 - ADDED   (21.07.2016): Frequency specific signal priorities are added for
                           RINEX version 3 to RINEX version 2 conversion
-- ADDED   (29.06.2016): Consideration of provioder ID changes in SSR streams
+- ADDED   (29.06.2016): Consideration of provider ID changes in SSR streams
                           during PPP analysis
 - CHANGED (28.07.2016): Small adaptations in qwtpolar sources to allow a
-                          successful comilation of BNC on a Rasperry Pi
+                          successful compilation of BNC on a Raspberry Pi
 - CHANGED (21.07.2016): Default signal priority list
 - CHANGED (08.06.2016): Weighting factor for GLONASS phase observations
@@ -177,5 +177,5 @@
 - FIXED   (08.06.2016): Map generation from sourcetable entry
 - FIXED   (02.06.2016): the approach how to wait for clock corrections in PPP mode,
-                        which was well proven in BNC verson 2.11 is re-implemented
+                        which was well proven in BNC version 2.11 is re-implemented
 - FIXED   (30.05.2016): Some NMEA components in PPP output are fixed:
                           time stamp is now UTC, hDop value instead pDop value