Index: trunk/BNC/src/PPP/pppFilter.cpp
===================================================================
--- trunk/BNC/src/PPP/pppFilter.cpp	(revision 10319)
+++ trunk/BNC/src/PPP/pppFilter.cpp	(revision 10326)
@@ -185,13 +185,13 @@
             AA[iObs][iPar] = par->partial(_epoTime, obs, tLC);
           }
-          double offGlo = 0;
+          double offGlo = 0.0;
           if (sys == 'R' && tLC != t_lc::MW) {
             offGlo = PPP_CLIENT->offGlo();
           }
-          double offGal = 0;
+          double offGal = 0.0;
           if (sys == 'E' && tLC != t_lc::MW) {
             offGal = PPP_CLIENT->offGal();
           }
-          double offBds = 0;
+          double offBds = 0.0;
           if (sys == 'C' && tLC != t_lc::MW) {
             offBds = PPP_CLIENT->offBds();
@@ -229,13 +229,13 @@
               AA[iObs][iPar] = par->partial(_epoTime, obs, tLC);
             }
-            double offGlo = 0;
+            double offGlo = 0.0;
             if (sys == 'R' && tLC != t_lc::MW) {
               offGlo = PPP_CLIENT->offGlo();
             }
-            double offGal = 0;
+            double offGal = 0.0;
             if (sys == 'E' && tLC != t_lc::MW) {
               offGal = PPP_CLIENT->offGal();
             }
-            double offBds = 0;
+            double offBds = 0.0;
             if (sys == 'C' && tLC != t_lc::MW) {
               offBds = PPP_CLIENT->offBds();
@@ -326,4 +326,5 @@
                                     const vector<t_pppSatObs*> &obsVector) {
 
+  const double SLIP = 20.0;
   string epoTimeStr = string(_epoTime);
   const vector<t_pppParam*> &params = _parlist->params();
@@ -366,9 +367,6 @@
 
         // Check Pre-Fit Residuals
-        //=> switched off, because after a millisecond receiver clock jump, a cycle slip is detected for all satellites
-        /* -----------------------
-
+        // -----------------------
         else {
-          const double SLIP = 20.0;
           ColumnVector AA(params.size());
           for (unsigned iPar = 0; iPar < params.size(); iPar++) {
@@ -376,13 +374,13 @@
             AA[iPar] = par->partial(_epoTime, obs, tLC);
           }
-          double offGlo = 0;
+          double offGlo = 0.0;
           if (sys == 'R' && tLC != t_lc::MW) {
             offGlo = PPP_CLIENT->offGlo();
           }
-          double offGal = 0;
+          double offGal = 0.0;
           if (sys == 'E' && tLC != t_lc::MW) {
             offGal = PPP_CLIENT->offGal();
           }
-          double offBds = 0;
+          double offBds = 0.0;
           if (sys == 'C' && tLC != t_lc::MW) {
             offBds = PPP_CLIENT->offBds();
@@ -396,9 +394,8 @@
             resetAmb(obs->prn(), obsVector, tLC);
           }
-        }*/
-      }
-    }
-  }
-
+        }
+      }
+    }
+  }
   return success;
 }
@@ -565,3 +562,2 @@
   predictCovCrdPart(QFltOld, setNeuNoiseToZero);
 }
-
Index: trunk/BNC/src/PPP/pppParlist.cpp
===================================================================
--- trunk/BNC/src/PPP/pppParlist.cpp	(revision 10319)
+++ trunk/BNC/src/PPP/pppParlist.cpp	(revision 10326)
@@ -76,13 +76,13 @@
          const t_pppSatObs* obs = obsVector->at(ii);
          if (obs->prn() == _prn) {
-           double offGlo = 0;
+           double offGlo = 0.0;
            if (_prn.system() == 'R' && tLC != t_lc::MW) {
              offGlo = PPP_CLIENT->offGlo();
            }
-           double offGal = 0;
+           double offGal = 0.0;
            if (_prn.system() == 'E' && tLC != t_lc::MW) {
              offGal = PPP_CLIENT->offGal();
            }
-           double offBds = 0;
+           double offBds = 0.0;
            if (_prn.system() == 'C' && tLC != t_lc::MW) {
              offBds = PPP_CLIENT->offBds();
@@ -96,15 +96,15 @@
    case offGlo:
      _epoSpec = true;
-     _sigma0  = OPT->_aprSigClk;
+     _sigma0  = OPT->_aprSigClkOff;
      _x0      = PPP_CLIENT->offGlo();
      break;
    case offGal:
      _epoSpec = true;
-     _sigma0  = OPT->_aprSigClk;
+     _sigma0  = OPT->_aprSigClkOff;
      _x0      = PPP_CLIENT->offGal();
      break;
    case offBds:
      _epoSpec = true;
-     _sigma0  = OPT->_aprSigClk;
+     _sigma0  = OPT->_aprSigClkOff;
      _x0      = PPP_CLIENT->offBds();
      break;