Index: trunk/BNC/src/PPP/pppFilter.cpp
===================================================================
--- trunk/BNC/src/PPP/pppFilter.cpp	(revision 10326)
+++ trunk/BNC/src/PPP/pppFilter.cpp	(revision 10327)
@@ -326,5 +326,13 @@
                                     const vector<t_pppSatObs*> &obsVector) {
 
-  const double SLIP = 20.0;
+  double SLIP = 20.0;
+  double fac = 1.0;
+  if (_lastEpoTimeOK.valid()) {
+    fac = _epoTime - _lastEpoTimeOK;
+    if (fac > 60.0 || fac < 1.0) {
+      fac = 1.0;
+    }
+  }
+  SLIP *= fac;
   string epoTimeStr = string(_epoTime);
   const vector<t_pppParam*> &params = _parlist->params();
Index: trunk/BNC/src/PPP/pppSatObs.cpp
===================================================================
--- trunk/BNC/src/PPP/pppSatObs.cpp	(revision 10326)
+++ trunk/BNC/src/PPP/pppSatObs.cpp	(revision 10327)
@@ -111,5 +111,5 @@
                 obs->_codeValid  && obs->_code &&
                 obs->_phaseValid && obs->_phase) {
-              _obs[iFreq] = new t_frqObs(*obs); //cout << "================> newObs: " << obs->_rnxType2ch <<endl;
+              _obs[iFreq] = new t_frqObs(*obs); //cout << "================> newObs: " << obs->_rnxType2ch << " obs->_lockTime: " << obs->_lockTime << endl;
             }
           }
@@ -354,11 +354,8 @@
   retVal = sqrt(retVal);
 
-  // De-Weight GLO+BDS
-  // -----------------
+  // De-Weight GLO
+  // -------------
   if (_prn.system() == 'R' && t_lc::includesCode(tLC)) {
     retVal *= GLO_WEIGHT_FACTOR;
-  }
-  if (_prn.system() == 'C' && t_lc::includesCode(tLC)){
-    retVal *= BDS_WEIGHT_FACTOR;
   }
 
@@ -401,12 +398,9 @@
 
 
-  // Enlarge maxRes GLO+BDS
-  /* ----------------------
+  // Enlarge maxRes GLO
+  // ------------------
   if (_prn.system() == 'R' && t_lc::includesCode(tLC)) {
     retVal *= GLO_WEIGHT_FACTOR;
   }
-  if (_prn.system() == 'C' && t_lc::includesCode(tLC)){
-    retVal *= BDS_WEIGHT_FACTOR;
-  }*/
 
   return retVal;
Index: trunk/BNC/src/bnchelp.html
===================================================================
--- trunk/BNC/src/bnchelp.html	(revision 10326)
+++ trunk/BNC/src/bnchelp.html	(revision 10327)
@@ -4081,8 +4081,6 @@
       <li>'Pi&Li' means that uncombined code and phase data of two frequencies shall be used.</li>
       <li>'Pi'    means that uncombined code data of two frequencies shall be used.</li>
-      <li>'Li'    means that uncombined phase data of two frequencies shall be used.</li>
       <li>'P1&L1' means that uncombined code and phase data of one frequency shall be used.</li>
       <li>'P1'    means that uncombined code data of one frequency shall be used.</li>
-      <li>'L1'    means that uncombined phase data of one frequency shall be used.</li>
       <li>'P3&L3' means that the inonosphere-free linear combination of code and phase data shall be used.</li>
       <li>'P3'    means that the inonosphere-free linear combination of code data shall be used.</li>
Index: trunk/BNC/src/bncmain.cpp
===================================================================
--- trunk/BNC/src/bncmain.cpp	(revision 10326)
+++ trunk/BNC/src/bncmain.cpp	(revision 10327)
@@ -248,8 +248,8 @@
       "\n"
       "PPP Client Panel 2 keys:\n"
-      "   PPP/lcGPS        {Select the kind of linear combination from GPS code and/or phase data [character string: Pi&Li|Pi|Li|P1&L1|P1|L1|P3&L3|P3|L3|no]}\n"
-      "   PPP/lcGLONASS    {Select the kind of linear combination from GLONASS code and/or phase data [character string: Pi&Li|Pi|Li|P1&L1|P1|L1|P3&L3|P3|L3|no]}\n"
-      "   PPP/lcGalileo    {Select the kind of linear combination from Galileo code and/or phase data [character string: Pi&Li|Pi|Li|P1&L1|P1|L1|P3&L3|P3|L3|no]}\n"
-      "   PPP/lcBDS        {Select the kind of linear combination from BDS code and/or phase data [character string: Pi&Li|Pi|Li|P1&L1|P1|L1|P3&L3|P3|L3|no]}\n"
+      "   PPP/lcGPS        {Select the kind of linear combination from GPS code and/or phase data [character string:     Pi&Li|Pi|P1&L1|P1|P3&L3|P3|L3|no]}\n"
+      "   PPP/lcGLONASS    {Select the kind of linear combination from GLONASS code and/or phase data [character string: Pi&Li|Pi|P1&L1|P1|P3&L3|P3|L3|no]}\n"
+      "   PPP/lcGalileo    {Select the kind of linear combination from Galileo code and/or phase data [character string: Pi&Li|Pi|P1&L1|P1|P3&L3|P3|L3|no]}\n"
+      "   PPP/lcBDS        {Select the kind of linear combination from BDS code and/or phase data [character string:     Pi&Li|Pi|P1&L1|P1|P3&L3|P3|L3|no]}\n"
       "   PPP/sigmaC1      {Sigma for code observations in meters [floating-point number]}\n"
       "   PPP/sigmaL1      {Sigma for phase observations in meters [floating-point number]}\n"
Index: trunk/BNC/src/bncwindow.cpp
===================================================================
--- trunk/BNC/src/bncwindow.cpp	(revision 10326)
+++ trunk/BNC/src/bncwindow.cpp	(revision 10327)
@@ -1513,8 +1513,6 @@
       "<li>'Pi&Li' means that uncombined code and phase data of two frequencies shall be used.</li>"
       "<li>'Pi'    means that uncombined code data of two frequencies shall be used.</li>"
-      "<li>'Li'    means that uncombined phase data of two frequencies shall be used.</li> "
       "<li>'P1&L1' means that uncombined code and phase data of one frequency shall be used.</li>"
       "<li>'P1'    means that uncombined code data of one frequency shall be used.</li>"
-      "<li>'L1'    means that uncombined phase data of one frequency shall be used.</li> "
       "<li>'P3&L3' means that the inonosphere-free linear combination of code and phase data shall be used.</li>"
       "<li>'P3'    means that the inonosphere-free linear combination of code data shall be used.</li>"
@@ -1530,8 +1528,6 @@
       "<li>'Pi&Li' means that uncombined code and phase data of two frequencies shall be used.</li>"
       "<li>'Pi'    means that uncombined code data of two frequencies shall be used.</li>"
-      "<li>'Li'    means that uncombined phase data of two frequencies shall be used.</li> "
       "<li>'P1&L1' means that uncombined code and phase data of one frequency shall be used.</li>"
       "<li>'P1'    means that uncombined code data of one frequency shall be used.</li>"
-      "<li>'L1'    means that uncombined phase data of one frequency shall be used.</li> "
       "<li>'P3&L3' means that the inonosphere-free linear combination of code and phase data shall be used.</li>"
       "<li>'P3'    means that the inonosphere-free linear combination of code data shall be used.</li>"
@@ -1547,8 +1543,6 @@
       "<li>'Pi&Li' means that uncombined code and phase data of two frequencies shall be used.</li>"
       "<li>'Pi'    means that uncombined code data of two frequencies shall be used.</li>"
-      "<li>'Li'    means that uncombined phase data of two frequencies shall be used.</li> "
       "<li>'P1&L1' means that uncombined code and phase data of one frequency shall be used.</li>"
       "<li>'P1'    means that uncombined code data of one frequency shall be used.</li>"
-      "<li>'L1'    means that uncombined phase data of one frequency shall be used.</li> "
       "<li>'P3&L3' means that the inonosphere-free linear combination of code and phase data shall be used.</li>"
       "<li>'P3'    means that the inonosphere-free linear combination of code data shall be used.</li>"
@@ -1564,8 +1558,6 @@
       "<li>'Pi&Li' means that uncombined code and phase data of two frequencies shall be used.</li>"
       "<li>'Pi'    means that uncombined code data of two frequencies shall be used.</li>"
-      "<li>'Li'    means that uncombined phase data of two frequencies shall be used.</li> "
       "<li>'P1&L1' means that uncombined code and phase data of one frequency shall be used.</li>"
       "<li>'P1'    means that uncombined code data of one frequency shall be used.</li>"
-      "<li>'L1'    means that uncombined phase data of one frequency shall be used.</li> "
       "<li>'P3&L3' means that the inonosphere-free linear combination of code and phase data shall be used.</li>"
       "<li>'P3'    means that the inonosphere-free linear combination of code data shall be used.</li>"
Index: trunk/BNC/src/pppMain.cpp
===================================================================
--- trunk/BNC/src/pppMain.cpp	(revision 10326)
+++ trunk/BNC/src/pppMain.cpp	(revision 10327)
@@ -262,11 +262,4 @@
       }
     }
-    if (settings.value("PPP/lcGPS").toString() == "Li") {
-      opt->_LCsGPS.push_back(t_lc::l1);
-      opt->_LCsGPS.push_back(t_lc::l2);
-      if (opt->_pseudoObsIono) {
-        opt->_LCsGPS.push_back(t_lc::GIM);
-      }
-    }
     if (settings.value("PPP/lcGPS").toString() == "P1&L1") {
       opt->_LCsGPS.push_back(t_lc::c1);
@@ -281,10 +274,4 @@
           opt->_LCsGPS.push_back(t_lc::GIM);
         }
-    }
-    if (settings.value("PPP/lcGPS").toString() == "L1") {
-      opt->_LCsGPS.push_back(t_lc::l1);
-      if (opt->_pseudoObsIono) {
-        opt->_LCsGPS.push_back(t_lc::GIM);
-      }
     }
     if (settings.value("PPP/lcGPS").toString() == "P3&L3") {
@@ -315,11 +302,4 @@
       }
     }
-    if (settings.value("PPP/lcGLONASS").toString() == "Li") {
-      opt->_LCsGLONASS.push_back(t_lc::l1);
-      opt->_LCsGLONASS.push_back(t_lc::l2);
-      if (opt->_pseudoObsIono) {
-        opt->_LCsGLONASS.push_back(t_lc::GIM);
-      }
-    }
     if (settings.value("PPP/lcGLONASS").toString() == "P1&L1") {
       opt->_LCsGLONASS.push_back(t_lc::c1);
@@ -334,10 +314,4 @@
           opt->_LCsGLONASS.push_back(t_lc::GIM);
         }
-    }
-    if (settings.value("PPP/lcGLONASS").toString() == "L1") {
-      opt->_LCsGLONASS.push_back(t_lc::l1);
-      if (opt->_pseudoObsIono) {
-        opt->_LCsGLONASS.push_back(t_lc::GIM);
-      }
     }
     if (settings.value("PPP/lcGLONASS").toString() == "P3&L3") {
@@ -368,11 +342,4 @@
       }
     }
-    if (settings.value("PPP/lcGalileo").toString() == "Li") {
-      opt->_LCsGalileo.push_back(t_lc::l1);
-      opt->_LCsGalileo.push_back(t_lc::l2);
-      if (opt->_pseudoObsIono) {
-        opt->_LCsGalileo.push_back(t_lc::GIM);
-      }
-    }
     if (settings.value("PPP/lcGalileo").toString() == "P1&L1") {
       opt->_LCsGalileo.push_back(t_lc::c1);
@@ -387,10 +354,4 @@
           opt->_LCsGalileo.push_back(t_lc::GIM);
         }
-    }
-    if (settings.value("PPP/lcGalileo").toString() == "L1") {
-      opt->_LCsGalileo.push_back(t_lc::l1);
-      if (opt->_pseudoObsIono) {
-        opt->_LCsGalileo.push_back(t_lc::GIM);
-      }
     }
     if (settings.value("PPP/lcGalileo").toString() == "P3&L3") {
@@ -421,11 +382,4 @@
       }
     }
-    if (settings.value("PPP/lcBDS").toString() == "Li") {
-      opt->_LCsBDS.push_back(t_lc::l1);
-      opt->_LCsBDS.push_back(t_lc::l2);
-      if (opt->_pseudoObsIono) {
-        opt->_LCsBDS.push_back(t_lc::GIM);
-      }
-    }
     if (settings.value("PPP/lcBDS").toString() == "P1&L1") {
       opt->_LCsBDS.push_back(t_lc::c1);
@@ -440,10 +394,4 @@
           opt->_LCsBDS.push_back(t_lc::GIM);
         }
-    }
-    if (settings.value("PPP/lcBDS").toString() == "L1") {
-      opt->_LCsBDS.push_back(t_lc::l1);
-      if (opt->_pseudoObsIono) {
-        opt->_LCsBDS.push_back(t_lc::GIM);
-      }
     }
     if (settings.value("PPP/lcBDS").toString() == "P3&L3") {
@@ -529,6 +477,6 @@
     opt->_aprSigClkOff    = 300000.0;
     opt->_aprSigAmb       = 10000.0;
-    opt->_aprSigIon       = 1.0e8;
-    opt->_noiseIon        = 1.0e8;
+    opt->_aprSigIon       = 1.0e3;
+    opt->_noiseIon        = 1.0e3;
     opt->_aprSigCodeBias  = 10000.0;
     opt->_noiseCodeBias   = 10000.0;
Index: trunk/BNC/src/pppWidgets.cpp
===================================================================
--- trunk/BNC/src/pppWidgets.cpp	(revision 10326)
+++ trunk/BNC/src/pppWidgets.cpp	(revision 10327)
@@ -128,5 +128,5 @@
   _lcGPS->addItems(QString("P3,P3&L3").split(","));
 #else
-  _lcGPS->addItems(QString("Pi&Li,Pi,Li,P1&L1,P1,L1,P3&L3,P3,L3,no").split(","));
+  _lcGPS->addItems(QString("Pi&Li,Pi,P1&L1,P1,P3&L3,P3,L3,no").split(","));
 #endif
 
@@ -134,6 +134,6 @@
 #ifdef USE_PPP_SSR_I
    _lcGLONASS->addItems(QString("no,P3,L3,P3&L3").split(","));
-#else  
-  _lcGLONASS->addItems(QString("Pi&Li,Pi,Li,P1&L1,P1,L1,P3&L3,P3,L3,no").split(","));
+#else
+  _lcGLONASS->addItems(QString("Pi&Li,Pi,P1&L1,P1,P3&L3,P3,L3,no").split(","));
 #endif
 
@@ -141,6 +141,6 @@
 #ifdef USE_PPP_SSR_I
   _lcGalileo->addItems(QString("no,P3,L3,P3&L3").split(","));
-#else  
-  _lcGalileo->addItems(QString("Pi&Li,Pi,Li,P1&L1,P1,L1,P3&L3,P3,L3,no").split(","));
+#else
+  _lcGalileo->addItems(QString("Pi&Li,Pi,P1&L1,P1,P3&L3,P3,L3,no").split(","));
 #endif
 
@@ -148,6 +148,6 @@
  #ifdef USE_PPP_SSR_I
   _lcBDS->addItems(QString("no,P3,L3,P3&L3").split(","));
-#else 
-  _lcBDS->addItems(QString("Pi&Li,Pi,Li,P1&L1,P1,L1,P3&L3,P3,L3,no").split(","));
+#else
+  _lcBDS->addItems(QString("Pi&Li,Pi,P1&L1,P1,P3&L3,P3,L3,no").split(","));
 #endif
 