Index: /trunk/BNC/src/PPP/pppClient.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppClient.cpp	(revision 10355)
+++ /trunk/BNC/src/PPP/pppClient.cpp	(revision 10356)
@@ -255,30 +255,5 @@
                                   ColumnVector& xyzc, bool print) {
   t_lc::type tLC = t_lc::dummy;
-  char sysBancroft = 'G';
   int  numBancroft = obsVector.size();
-
-  _usedSystems['G'] = _usedSystems['R'] = _usedSystems['E'] = _usedSystems['C'] = 0;
-  for (unsigned jj = 0; jj < obsVector.size(); jj++) {
-    const t_pppSatObs* satObs = obsVector[jj];
-    char sys = satObs->prn().system();
-    _usedSystems[sys]++;
-  }
-
-  if      ((numBancroft = _usedSystems.value('G')) >= _opt->_minObs) {
-    sysBancroft = 'G';
-  }
-  else if ((numBancroft = _usedSystems.value('E')) >= _opt->_minObs) {
-    sysBancroft = 'E';
-  }
-  else if ((numBancroft = _usedSystems.value('C')) >= _opt->_minObs) {
-    sysBancroft = 'C';
-  }
-  else if ((numBancroft = _usedSystems.value('R')) >= _opt->_minObs) {
-    sysBancroft = 'R';
-  }
-  else {
-    LOG << "t_pppClient::cmpBancroft not enough observations: " << endl;
-    return failure;
-  }
 
   while (_running) {
@@ -287,24 +262,22 @@
     for (unsigned ii = 0; ii < obsVector.size(); ii++) {
       const t_pppSatObs* satObs = obsVector.at(ii);
-      if (satObs->prn().system() == sysBancroft) {
-        if (tLC == t_lc::dummy) {
-          if (satObs->isValid(t_lc::cIF)) {
-            tLC = t_lc::cIF;
-          }
-          else if (satObs->isValid(t_lc::c1)) {
-            tLC = t_lc::c1;
-          }
-          else if (satObs->isValid(t_lc::c2)) {
-            tLC = t_lc::c2;
-          }
+      if (tLC == t_lc::dummy) {
+        if (satObs->isValid(t_lc::cIF)) {
+          tLC = t_lc::cIF;
         }
-        if ( satObs->isValid(tLC) &&
-            (!satObs->modelSet() || satObs->eleSat() >= _opt->_minEle) ) {
-          ++iObs;
-          BB[iObs][0] = satObs->xc()[0];
-          BB[iObs][1] = satObs->xc()[1];
-          BB[iObs][2] = satObs->xc()[2];
-          BB[iObs][3] = satObs->obsValue(tLC) - satObs->cmpValueForBanc(tLC);
+        else if (satObs->isValid(t_lc::c1)) {
+          tLC = t_lc::c1;
         }
+        else if (satObs->isValid(t_lc::c2)) {
+          tLC = t_lc::c2;
+        }
+      }
+      if ( satObs->isValid(tLC) &&
+          (!satObs->modelSet() || satObs->eleSat() >= _opt->_minEle) ) {
+        ++iObs;
+        BB[iObs][0] = satObs->xc()[0];
+        BB[iObs][1] = satObs->xc()[1];
+        BB[iObs][2] = satObs->xc()[2];
+        BB[iObs][3] = satObs->obsValue(tLC) - satObs->cmpValueForBanc(tLC);
       }
     }
@@ -327,7 +300,5 @@
     for (unsigned ii = 0; ii < obsVector.size(); ii++) {
       const t_pppSatObs* satObs = obsVector.at(ii);
-      char sys = satObs->prn().system();
-      if (satObs->isValid() && sys == sysBancroft &&
-          (!satObs->modelSet() || satObs->eleSat() >= _opt->_minEle) ) {
+      if (satObs->isValid() && (!satObs->modelSet() || satObs->eleSat() >= _opt->_minEle) ) {
         ColumnVector rr = satObs->xc().Rows(1,3) - xyzc.Rows(1,3);
         double res = rr.NormFrobenius() - satObs->obsValue(tLC)
@@ -345,5 +316,5 @@
         if (!_epoTimeRover.undef()) LOG << string(_epoTimeRover);
         LOG << "\n---------------------------------------------------------------\n";
-        LOG << string(epoTime) << " BANCROFT " <<   sysBancroft << ": "
+        LOG << string(epoTime) << " BANCROFT "  << ": "
             << setw(14) << setprecision(3) << xyzc[0] << ' '
             << setw(14) << setprecision(3) << xyzc[1] << ' '
Index: /trunk/BNC/src/PPP/pppFilter.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppFilter.cpp	(revision 10355)
+++ /trunk/BNC/src/PPP/pppFilter.cpp	(revision 10356)
@@ -375,5 +375,5 @@
 
         // Check Pre-Fit Residuals
-        /* -----------------------
+        // -----------------------
         else {
           ColumnVector AA(params.size());
@@ -402,5 +402,5 @@
             resetAmb(obs->prn(), obsVector, tLC);
           }
-        }*/
+        }
       }
     }
Index: /trunk/BNC/src/PPP/pppParlist.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppParlist.cpp	(revision 10355)
+++ /trunk/BNC/src/PPP/pppParlist.cpp	(revision 10356)
@@ -45,5 +45,4 @@
   _noise    = 0.0;
   _ambInfo  = 0;
-  double fac = 1.0;
 
   switch (_type) {
@@ -68,7 +67,6 @@
      break;
    case amb:
-     if (tLC == t_lc::lIF) {fac = 3.0;}
      _epoSpec = false;
-     _sigma0  = fac * OPT->_aprSigAmb;
+     _sigma0  = OPT->_aprSigAmb;
      _ambInfo = new t_ambInfo();
      if (obsVector) {
@@ -499,28 +497,18 @@
   // GLONASS Clock Offset
   // --------------------
-  if ( _usedSystems.contains('R')  &&
-      (_usedSystems.contains('G') || _usedSystems.contains('E') || _usedSystems.contains('C'))) {
+  if (OPT->useSystem('R')) {
     required.push_back(new t_pppParam(t_pppParam::offGlo, t_prn(), t_lc::dummy));
-  }
-  else {
-    PPP_CLIENT->resetOffGlo();
   }
 
   // Galileo Clock Offset
   // --------------------
-  if (_usedSystems.contains('E') && _usedSystems.contains('G')) {
+  if (OPT->useSystem('E')) {
     required.push_back(new t_pppParam(t_pppParam::offGal, t_prn(), t_lc::dummy));
-  }
-  else {
-    PPP_CLIENT->resetOffGal();
   }
 
   // BDS Clock Offset
   // ----------------
-  if (_usedSystems.contains('C')  && (_usedSystems.contains('G') || _usedSystems.contains('E'))) {
+  if (OPT->useSystem('C')) {
     required.push_back(new t_pppParam(t_pppParam::offBds, t_prn(), t_lc::dummy));
-  }
-  else {
-    PPP_CLIENT->resetOffBds();
   }
 
Index: /trunk/BNC/src/pppMain.cpp
===================================================================
--- /trunk/BNC/src/pppMain.cpp	(revision 10355)
+++ /trunk/BNC/src/pppMain.cpp	(revision 10356)
@@ -474,9 +474,9 @@
     // Some default values
     // -------------------
-    opt->_aprSigClk       = 300000.0;
-    opt->_aprSigClkOff    = 300000.0;
-    opt->_aprSigAmb       = 10000.0;
-    opt->_aprSigIon       = 1.0e3;
-    opt->_noiseIon        = 1.0e3;
+    opt->_aprSigClk       = 3.0e5;
+    opt->_aprSigClkOff    = 3.0e5;
+    opt->_aprSigAmb       = 1.0e4;
+    opt->_aprSigIon       = 1.0e8;
+    opt->_noiseIon        = 1.0e8;
     opt->_aprSigCodeBias  = 10000.0;
     opt->_noiseCodeBias   = 10000.0;