Index: trunk/BNC/scripts/Bnc.pm
===================================================================
--- trunk/BNC/scripts/Bnc.pm	(revision 10382)
+++ trunk/BNC/scripts/Bnc.pm	(revision 10383)
@@ -493,6 +493,6 @@
     my $epochSec     = 0;
     my $epochDiff    = 0;
-    my ( @hlp, @N, @E, @U, %SATNUM, @TRPs, @CLKs,   @OFF_GLOs, @OFF_GALs, @OFF_BDSs);
-    my ( @EPOCHs, @EPOCHs_CLK, @EPOCHs_OFF_GLO, @EPOCHs_OFF_GAL, @EPOCHs_OFF_BDS );
+    my ( @hlp, @N, @E, @U, %SATNUM, @TRP, @CLK, @OFF_GLO, @OFF_GAL, @OFF_BDS);
+    my ( @EPOCH, @EPOCH_CLK, @EPOCH_OFF_GLO, @EPOCH_OFF_GAL, @EPOCH_OFF_BDS );
     my ( %AMB,        %RES,            %ELE,            %ION, %BIA );
     my ( $station,    $lki,            $sys,            $sat, $amb );
@@ -530,8 +530,8 @@
 
         if ( $ln =~ /\bdN\b/ ) {
-            push ( @EPOCHs, $epochSec );    # besser $epo ?
+            push ( @EPOCH, $epochSec );    # besser $epo ?
             $old_epochSec = $epochSec;
 
-#2015-08-27_13:59:50.000 DIEP1 X = 3842152.9054 +- 0.0242 Y = 563402.0331 +- 0.0176 Z = 5042888.5182 +- 0.0319 dN = 0.0130 +- 0.0193 dE = -0.0032 +- 0.0178 dU = -0.0248 +- 0.0349
+            #2015-08-27_13:59:50.000 DIEP1 X = 3842152.9054 +- 0.0242 Y = 563402.0331 +- 0.0176 Z = 5042888.5182 +- 0.0319 dN = 0.0130 +- 0.0193 dE = -0.0032 +- 0.0178 dU = -0.0248 +- 0.0349
             $station = $hlp[1];
 
@@ -585,18 +585,18 @@
         }
         elsif ( $ln =~ /\bREC_CLK\b/ ) {
-            push ( @EPOCHs_CLK, $epochSec );
-            push ( @CLKs,       $hlp[2] + $hlp[3] );
+            push ( @EPOCH_CLK, $epochSec );
+            push ( @CLK,       $hlp[2] + $hlp[3] );
         }
         elsif ( $ln =~ /\bOFF_GLO\b/ ) {                # 2015-08... OFF_GLO 52.6806 -3.8042 +- 9.0077
-            push ( @EPOCHs_OFF_GLO, $epochSec );
-            push ( @OFF_GLOs,       $hlp[2] + $hlp[3] );
+            push ( @EPOCH_OFF_GLO, $epochSec );
+            push ( @OFF_GLO,       $hlp[2] + $hlp[3] );
         }
         elsif ( $ln =~ /\bOFF_GAL\b/ ) {                # 2015-08... OFF_GAL 52.6806 -3.8042 +- 9.0077
-            push ( @EPOCHs_OFF_GAL, $epochSec );
-            push ( @OFF_GALs,       $hlp[2] + $hlp[3] );
+            push ( @EPOCH_OFF_GAL, $epochSec );
+            push ( @OFF_GAL,       $hlp[2] + $hlp[3] );
         }
         elsif ( $ln =~ /\bOFF_BDS\b/ ) {                # 2015-08... OFF_BDS 52.6806 -3.8042 +- 9.0077
-            push ( @EPOCHs_OFF_BDS, $epochSec );
-            push ( @OFF_BDSs,       $hlp[2] + $hlp[3] );
+            push ( @EPOCH_OFF_BDS, $epochSec );
+            push ( @OFF_BDS,       $hlp[2] + $hlp[3] );
         }
         elsif ( $ln =~ /\bSATNUM\b/ ) {     # 2015-09... SATNUM G  8
@@ -604,5 +604,5 @@
         }
         elsif ( $ln =~ /\bTRP\b/ ) {        # 2015-08... TRP  2.3803 +0.1009 +- 0.0324
-            push ( @TRPs, $hlp[2] + $hlp[3] );
+            push ( @TRP, $hlp[2] + $hlp[3] );
         }
     }    # -----  next line  -----
@@ -611,5 +611,5 @@
     close $fh;
 
-    my $nof_epochs = scalar @EPOCHs;
+    my $nof_epochs = scalar @EPOCH;
     DEBUG(   "$station: epochs:$nof_epochs, North displac.: "
            . scalar @N
@@ -618,32 +618,32 @@
            . ", Up displac.: "
            . scalar @U
-           . ", TRPs:"
-           . scalar @TRPs
+           . ", TRP:"
+           . scalar @TRP
            );
-    if ( $nof_epochs != scalar @N )                                { LOGDIE "number of epochs and residuals not equal\n" }
-    if ( $nof_epochs != scalar @TRPs )                             { LOGDIE "number of epochs and TRPs not equal\n" }
-    if ( @CLKs     && scalar @EPOCHs_CLK != scalar @CLKs )         { LOGDIE "number of epochs and CLKs not equal\n" }
-    if ( @OFF_GLOs && scalar @EPOCHs_OFF_GLO != scalar @OFF_GLOs ) { LOGDIE "number of epochs and OFF_GLOs not equal\n" }
-    if ( @OFF_GALs && scalar @EPOCHs_OFF_GAL != scalar @OFF_GALs ) { LOGDIE "number of epochs and OFF_GALs not equal\n" }
-    if ( @OFF_BDSs && scalar @EPOCHs_OFF_BDS != scalar @OFF_BDSs ) { LOGDIE "number of epochs and OFF_BDSs not equal\n" }
+    if ( $nof_epochs != scalar @N )                              { LOGDIE "number of epochs and residuals not equal\n" }
+    if ( $nof_epochs != scalar @TRP )                            { LOGDIE "number of epochs and TRP not equal\n" }
+    if ( @CLK     && scalar @EPOCH_CLK     != scalar @CLK )      { LOGDIE "number of epochs and CLK not equal\n" }
+    if ( @OFF_GLO && scalar @EPOCH_OFF_GLO != scalar @OFF_GLO )  { LOGDIE "number of epochs and OFF_GLO not equal\n" }
+    if ( @OFF_GAL && scalar @EPOCH_OFF_GAL != scalar @OFF_GAL )  { LOGDIE "number of epochs and OFF_GAL not equal\n" }
+    if ( @OFF_BDS && scalar @EPOCH_OFF_BDS != scalar @OFF_BDS )  { LOGDIE "number of epochs and OFF_BDS not equal\n" }
 
     if ( !$station ) { WARN "could not grep stationname from file: $file\n" }
 
     my %data = (
-                 EPOCHS     => \@EPOCHs,
-                 N          => \@N,
-                 E          => \@E,
-                 U          => \@U,
-                 SATNUM     => \%SATNUM,
-                 TRPs       => \@TRPs,
-                 CLKs      => \@CLKs,
-                 OFF_GLOs  => \@OFF_GLOs,
-                 OFF_GALs  => \@OFF_GALs,
-                 OFF_BDSs  => \@OFF_BDSs,
-                 RES        => \%RES,
-                 AMB        => \%AMB,
-                 ELE        => \%ELE,
-                 ION        => \%ION,
-                 BIA        => \%BIA,
+                 EPOCH   => \@EPOCH,
+                 N       => \@N,
+                 E       => \@E,
+                 U       => \@U,
+                 SATNUM  => \%SATNUM,
+                 TRP     => \@TRP,
+                 CLK     => \@CLK,
+                 OFF_GLO => \@OFF_GLO,
+                 OFF_GAL => \@OFF_GAL,
+                 OFF_BDS => \@OFF_BDS,
+                 RES     => \%RES,
+                 AMB     => \%AMB,
+                 ELE     => \%ELE,
+                 ION     => \%ION,
+                 BIA     => \%BIA,
     );
 
Index: trunk/BNC/scripts/pppPlot.pl
===================================================================
--- trunk/BNC/scripts/pppPlot.pl	(revision 10382)
+++ trunk/BNC/scripts/pppPlot.pl	(revision 10383)
@@ -106,9 +106,9 @@
     # -----------------------------------------------------------------------------
     my ( $station, $file ) = Bnc::parsePPPLogfile( $file, $sampling );
-    my $EPOCHS       = $file->{'EPOCHS'};
-    my $EPOCHS_OFF_GLO = $file->{'EPOCHS_OFF_GLO'};
-    my $EPOCHS_OFF_GAL = $file->{'EPOCHS_OFF_GAL'};
-    my $EPOCHS_OFF_BDS = $file->{'EPOCHS_OFF_BDS'};
-    my $EPOCHS_CLK     = $file->{'EPOCHS_CLK'};    
+    my $EPOCH       = $file->{'EPOCH'};
+    my $EPOCH_OFF_GLO = $file->{'EPOCH_OFF_GLO'};
+    my $EPOCH_OFF_GAL = $file->{'EPOCH_OFF_GAL'};
+    my $EPOCH_OFF_BDS = $file->{'EPOCH_OFF_BDS'};
+    my $EPOCH_CLK     = $file->{'EPOCH_CLK'};
     my %AMB            = %{ $file->{'AMB'} };
     my %RES            = %{ $file->{'RES'} };
@@ -128,5 +128,5 @@
     $u = pdl( $file->{'U'} );
     ( $mean, $prms, $median, $min, $max, $adev, $rms_u ) = stats($u);
-    $trp = pdl( $file->{'TRPs'} );
+    $trp = pdl( $file->{'TRP'} );
     ( $mean, $prms, $median, $min, $max, $adev, $rms_trp ) = stats($trp);
     $str_rms_n   = sprintf ( " %.2f ", $rms_n );
@@ -158,5 +158,5 @@
 
     my $dataN = Chart::Gnuplot::DataSet->new(
-                                              xdata   => $EPOCHS,
+                                              xdata   => $EPOCH,
                                               ydata   => $file->{'N'},
                                               title   => "Displacements N, RMS + -$str_rms_n m",
@@ -165,5 +165,5 @@
     );
     my $dataE = Chart::Gnuplot::DataSet->new(
-                                              xdata   => $EPOCHS,
+                                              xdata   => $EPOCH,
                                               ydata   => $file->{'E'},
                                               title   => "Displacements E, RMS + -$str_rms_e m",
@@ -172,5 +172,5 @@
     );
     my $dataU = Chart::Gnuplot::DataSet->new(
-                                              xdata   => $EPOCHS,
+                                              xdata   => $EPOCH,
                                               ydata   => $file->{'U'},
                                               title   => "Displacements U, RMS + -$str_rms_u m",
@@ -187,5 +187,5 @@
     ######### TRP #####################
     if ( grep ( $_ eq "ALL", @plotTypes ) ) {
-        DEBUG "Plot TRPs";
+        DEBUG "Plot TRP";
         my $pngName  = sprintf ( "%s_TRP.png", $station );
         my $chartTRP = newChart($station);
@@ -194,6 +194,6 @@
 
         my $dataTRP = Chart::Gnuplot::DataSet->new(
-                                                    xdata   => $EPOCHS,
-                                                    ydata   => $file->{'TRPs'},
+                                                    xdata   => $EPOCH,
+                                                    ydata   => $file->{'TRP'},
                                                     title   => "Tropospheric Delay, RMS + -$str_rms_trp m",
                                                     timefmt => '%s',
@@ -213,9 +213,9 @@
 
         ######### CLK #####################
-        if ( scalar @{ $file->{'CLKs'} } < 1 ) {
-            DEBUG "No CLKs found";
+        if ( scalar @{ $file->{'CLK'} } < 1 ) {
+            DEBUG "No CLK found";
         }
         else {
-            DEBUG "Plot CLKs";
+            DEBUG "Plot CLK";
             $pngName = sprintf ( "%s_CLK.png", $station );
             my $chartCLK = newChart($station);
@@ -224,6 +224,6 @@
 
             $dataset = Chart::Gnuplot::DataSet->new(
-                                                     xdata   => $EPOCHS,
-                                                     ydata   => $file->{'CLKs'},
+                                                     xdata   => $EPOCH,
+                                                     ydata   => $file->{'CLK'},
                                                      title   => "Receiver clock",
                                                      timefmt => '%s',
@@ -246,9 +246,9 @@
         ######### OFF_GLO #####################
         if ( grep ( $_ eq "ALL", @plotTypes ) ) {
-            if ( scalar @{ $file->{'OFF_GLOs'} } < 1 ) {
-                DEBUG "No OFF_GLOs found";
+            if ( scalar @{ $file->{'OFF_GLO'} } < 1 ) {
+                DEBUG "No OFF_GLO found";
             }
             else {
-                DEBUG "Plot OFF_GLOs";
+                DEBUG "Plot OFF_GLO";
                 my $pngName  = sprintf ( "%s_OFF_R.png", $station );
                 my $chartOFF_GLO = newChart($station);
@@ -257,6 +257,6 @@
 
                 $dataset = Chart::Gnuplot::DataSet->new(
-                                                         xdata   => $EPOCHS_OFF_GLO,
-                                                         ydata   => $file->{'OFF_GLOs'},
+                                                         xdata   => $EPOCH_OFF_GLO,
+                                                         ydata   => $file->{'OFF_GLO'},
                                                          title   => "Receiver Offset GLONASS",
                                                          timefmt => '%s',
@@ -279,9 +279,9 @@
         ######### OFF_GAL #####################
         if ( grep ( $_ eq "ALL", @plotTypes ) ) {
-            if ( scalar @{ $file->{'OFF_GALs'} } < 1 ) {
-                DEBUG "No OFF_GALs found";
+            if ( scalar @{ $file->{'OFF_GAL'} } < 1 ) {
+                DEBUG "No OFF_GAL found";
             }
             else {
-                DEBUG "Plot OFF_GALs";
+                DEBUG "Plot OFF_GAL";
                 my $pngName  = sprintf ( "%s_OFF_E.png", $station );
                 my $chartOFF_GAL = newChart($station);
@@ -290,6 +290,6 @@
 
                 $dataset = Chart::Gnuplot::DataSet->new(
-                                                         xdata   => $EPOCHS_OFF_GAL,
-                                                         ydata   => $file->{'OFF_GALs'},
+                                                         xdata   => $EPOCH_OFF_GAL,
+                                                         ydata   => $file->{'OFF_GAL'},
                                                          title   => "Receiver Offset Galileo",
                                                          timefmt => '%s',
@@ -312,9 +312,9 @@
         ######### OFF_BDS #####################
         if ( grep ( $_ eq "ALL", @plotTypes ) ) {
-            if ( scalar @{ $file->{'OFF_BDSs'} } < 1 ) {
-                DEBUG "No OFF_BDSs found";
+            if ( scalar @{ $file->{'OFF_BDS'} } < 1 ) {
+                DEBUG "No OFF_BDS found";
             }
             else {
-                DEBUG "Plot OFF_BDSs";
+                DEBUG "Plot OFF_BDS";
                 my $pngName  = sprintf ( "%s_OFF_C.png", $station );
                 my $chartOFF_BDS = newChart($station);
@@ -323,6 +323,6 @@
 
                 $dataset = Chart::Gnuplot::DataSet->new(
-                                                         xdata   => $EPOCHS_OFF_BDS,
-                                                         ydata   => $file->{'OFF_BDSs'},
+                                                         xdata   => $EPOCH_OFF_BDS,
+                                                         ydata   => $file->{'OFF_BDS'},
                                                          title   => "Receiver Offset Beidou",
                                                          timefmt => '%s',