Index: /trunk/BNC/scripts/Bnc.pm
===================================================================
--- /trunk/BNC/scripts/Bnc.pm	(revision 10384)
+++ /trunk/BNC/scripts/Bnc.pm	(revision 10385)
@@ -589,13 +589,13 @@
         }
         elsif ( $ln =~ /\bOFF_GLO\b/ ) {                # 2015-08... OFF_GLO 52.6806 -3.8042 +- 9.0077
-            push ( @EPOCH_OFF_GLO, $epochSec );
+#            push ( @EPOCH_OFF_GLO, $epochSec );
             push ( @OFF_GLO,       $hlp[2] + $hlp[3] );
         }
         elsif ( $ln =~ /\bOFF_GAL\b/ ) {                # 2015-08... OFF_GAL 52.6806 -3.8042 +- 9.0077
-            push ( @EPOCH_OFF_GAL, $epochSec );
+#            push ( @EPOCH_OFF_GAL, $epochSec );
             push ( @OFF_GAL,       $hlp[2] + $hlp[3] );
         }
         elsif ( $ln =~ /\bOFF_BDS\b/ ) {                # 2015-08... OFF_BDS 52.6806 -3.8042 +- 9.0077
-            push ( @EPOCH_OFF_BDS, $epochSec );
+#            push ( @EPOCH_OFF_BDS, $epochSec );
             push ( @OFF_BDS,       $hlp[2] + $hlp[3] );
         }
@@ -624,7 +624,7 @@
     if ( $nof_epochs != scalar @TRP )                            { LOGDIE "number of epochs and TRP not equal\n" }
     if ( @CLK     && scalar @EPOCH_CLK     != scalar @CLK )      { LOGDIE "number of epochs and CLK not equal\n" }
-    if ( @OFF_GLO && scalar @EPOCH_OFF_GLO != scalar @OFF_GLO )  { LOGDIE "number of epochs and OFF_GLO not equal\n" }
-    if ( @OFF_GAL && scalar @EPOCH_OFF_GAL != scalar @OFF_GAL )  { LOGDIE "number of epochs and OFF_GAL not equal\n" }
-    if ( @OFF_BDS && scalar @EPOCH_OFF_BDS != scalar @OFF_BDS )  { LOGDIE "number of epochs and OFF_BDS not equal\n" }
+#    if ( @OFF_GLO && scalar @EPOCH_OFF_GLO != scalar @OFF_GLO )  { LOGDIE "number of epochs and OFF_GLO not equal\n" }
+#    if ( @OFF_GAL && scalar @EPOCH_OFF_GAL != scalar @OFF_GAL )  { LOGDIE "number of epochs and OFF_GAL not equal\n" }
+#    if ( @OFF_BDS && scalar @EPOCH_OFF_BDS != scalar @OFF_BDS )  { LOGDIE "number of epochs and OFF_BDS not equal\n" }
 
     if ( !$station ) { WARN "could not grep stationname from file: $file\n" }
Index: /trunk/BNC/scripts/pppPlot.pl
===================================================================
--- /trunk/BNC/scripts/pppPlot.pl	(revision 10384)
+++ /trunk/BNC/scripts/pppPlot.pl	(revision 10385)
@@ -257,5 +257,6 @@
 
                 $dataset = Chart::Gnuplot::DataSet->new(
-                                                         xdata   => $EPOCH_OFF_GLO,
+                                                         #xdata   => $EPOCH_OFF_GLO,
+                                                         xdata   => $EPOCH,
                                                          ydata   => $file->{'OFF_GLO'},
                                                          title   => "Receiver Offset GLONASS",
@@ -290,5 +291,6 @@
 
                 $dataset = Chart::Gnuplot::DataSet->new(
-                                                         xdata   => $EPOCH_OFF_GAL,
+                                                         #xdata   => $EPOCH_OFF_GAL,
+                                                         xdata   => $EPOCH,
                                                          ydata   => $file->{'OFF_GAL'},
                                                          title   => "Receiver Offset Galileo",
@@ -323,5 +325,6 @@
 
                 $dataset = Chart::Gnuplot::DataSet->new(
-                                                         xdata   => $EPOCH_OFF_BDS,
+                                                         #xdata   => $EPOCH_OFF_BDS,
+                                                         xdata   => $EPOCH,
                                                          ydata   => $file->{'OFF_BDS'},
                                                          title   => "Receiver Offset Beidou",
Index: /trunk/BNC/src/PPP/pppFilter.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppFilter.cpp	(revision 10384)
+++ /trunk/BNC/src/PPP/pppFilter.cpp	(revision 10385)
@@ -100,5 +100,10 @@
       }
     }
-    LOG << epoTimeStr << " SATNUM " << sys << ' ' << right << setw(2) << num  << endl;
+    LOG << epoTimeStr << " SATNUM " << sys << ' ' << right << setw(2) << num;
+    if (num < OPT->_minObs) {
+      LOG << " < OPT->_minObs " << right << setw(2) << OPT->_minObs << endl;
+      continue;
+    }
+    LOG << endl;
     if (processSystem(OPT->LCs(sys), obsVector, epoch->pseudoObsIono()) != success) {
       LOG << "t_pppFilter::processSystem() !=  success: " << sys << endl;
@@ -347,5 +352,5 @@
 
         // Check Pre-Fit Residuals
-        // -----------------------
+        /* -----------------------
         else {
           ColumnVector AA(params.size());
@@ -362,5 +367,5 @@
             resetAmb(obs->prn(), obsVector, tLC);
           }
-        }
+        }*/
       }
     }