Index: /trunk/BNC/src/bncgetthread.cpp
===================================================================
--- /trunk/BNC/src/bncgetthread.cpp	(revision 10419)
+++ /trunk/BNC/src/bncgetthread.cpp	(revision 10420)
@@ -114,4 +114,8 @@
     _latencycheck = false;
   }
+
+  _NMEASampl = settings.value("serialNMEASampling").toInt();
+  _NMEALen   = 55;
+
   initialize();
   initDecoder();
@@ -281,8 +285,8 @@
     // Manual NMEA
     // -----------
-    if ((nmeaMode == "Manual GPGGA") || (nmeaMode == "Manual GNGGA")) {
+    if ((nmeaMode == "Manual GPGGA") ||
+        (nmeaMode == "Manual GNGGA")) {
       _serialNMEA = MANUAL_NMEA;
       bncSettings settings;
-      _manualNMEASampl = settings.value("serialManualNMEASampling").toInt();
       QString hlp = settings.value("serialHeightNMEA").toString();
       if (hlp.isEmpty()) {
@@ -290,6 +294,5 @@
       }
       QByteArray _serialHeightNMEA = hlp.toLatin1();
-      _manualNMEAString = ggaString(_latitude, _longitude, _serialHeightNMEA,
-          nmeaMode);
+      _manualNMEAString = ggaString(_latitude, _longitude, _serialHeightNMEA, nmeaMode);
     }
   }
@@ -316,6 +319,4 @@
 //////////////////////////////////////////////////////////////////////////////
 t_irc bncGetThread::initDecoder() {
-
-
 
   _decoder = 0;
@@ -978,7 +979,7 @@
 
     if (_nmea == "yes" && _serialNMEA == MANUAL_NMEA) {
-      if (_manualNMEASampl) {
+      if (_NMEASampl) {
         int dt = _lastManualNMEA.secsTo(QDateTime::currentDateTime());
-        if (dt && (fmod(double(dt), double(_manualNMEASampl)) == 0.0)) {
+        if (dt && (fmod(double(dt), double(_NMEASampl)) == 0.0)) {
           _query->sendNMEA(_manualNMEAString);
           _lastManualNMEA = QDateTime::currentDateTime();
Index: /trunk/BNC/src/bncgetthread.h
===================================================================
--- /trunk/BNC/src/bncgetthread.h	(revision 10419)
+++ /trunk/BNC/src/bncgetthread.h	(revision 10420)
@@ -119,5 +119,6 @@
    QByteArray                 _manualNMEAString;
    QDateTime                  _lastManualNMEA;
-   int                        _manualNMEASampl;
+   int                        _NMEASampl;
+   int                        _NMEALen;
    int                        _nextSleep;
    int                        _iMount;
Index: /trunk/BNC/src/bncsettings.cpp
===================================================================
--- /trunk/BNC/src/bncsettings.cpp	(revision 10419)
+++ /trunk/BNC/src/bncsettings.cpp	(revision 10420)
@@ -156,5 +156,5 @@
     setValue_p("serialFileNMEA",      "");
     setValue_p("serialHeightNMEA",    "");
-    setValue_p("serialManualNMEASampling", "10");
+    setValue_p("serialNMEASampling", "10");
     // Outages
     setValue_p("adviseObsRate",       "");
Index: /trunk/BNC/src/bncwindow.cpp
===================================================================
--- /trunk/BNC/src/bncwindow.cpp	(revision 10419)
+++ /trunk/BNC/src/bncwindow.cpp	(revision 10420)
@@ -380,10 +380,10 @@
   _serialHeightNMEALineEdit  = new QLineEdit(settings.value("serialHeightNMEA").toString());
 
-  _serialManualNMEASamplingSpinBox = new QSpinBox();
-  _serialManualNMEASamplingSpinBox->setMinimum(0);
-  _serialManualNMEASamplingSpinBox->setMaximum(300);
-  _serialManualNMEASamplingSpinBox->setSingleStep(10);
-  _serialManualNMEASamplingSpinBox->setValue(settings.value("serialManualNMEASampling").toInt());
-  _serialManualNMEASamplingSpinBox->setSuffix(" sec");
+  _serialNMEASamplingSpinBox = new QSpinBox();
+  _serialNMEASamplingSpinBox->setMinimum(0);
+  _serialNMEASamplingSpinBox->setMaximum(300);
+  _serialNMEASamplingSpinBox->setSingleStep(10);
+  _serialNMEASamplingSpinBox->setValue(settings.value("serialNMEASampling").toInt());
+  _serialNMEASamplingSpinBox->setSuffix(" sec");
 
   connect(_serialMountPointLineEdit, SIGNAL(textChanged(const QString &)),
@@ -903,5 +903,5 @@
   _serialAutoNMEAComboBox->setMaximumWidth(14*ww);
   _serialHeightNMEALineEdit->setMaximumWidth(8*ww);
-  _serialManualNMEASamplingSpinBox->setMaximumWidth(8*ww);
+  _serialNMEASamplingSpinBox->setMaximumWidth(8*ww);
 
   serLayout->addWidget(new QLabel("Port settings to feed a serial connected receiver.<br>"),0,0,1,30);
@@ -927,5 +927,5 @@
   serLayout->addWidget(_serialHeightNMEALineEdit,                 5,15, 1,11);
   serLayout->addWidget(new QLabel("Sampling"),                    5,25, Qt::AlignRight);
-  serLayout->addWidget(_serialManualNMEASamplingSpinBox,          5,26, 1,12);
+  serLayout->addWidget(_serialNMEASamplingSpinBox,          5,26, 1,12);
   serLayout->addWidget(new QLabel(""),                            6, 1);
   serLayout->setRowStretch(7, 999);
@@ -1466,5 +1466,5 @@
   _serialFileNMEALineEdit->setWhatsThis(tr("<p>Specify the full path to a file where NMEA messages coming from your serial connected receiver are saved.</p><p>Default is an empty option field, meaning that NMEA messages will not be saved on disk. <i>[key: serialFileNMEA]</i></p>"));
   _serialHeightNMEALineEdit->setWhatsThis(tr("<p>Specify an approximate 'Height' above mean sea level in meters for the reference station introduced by option 'Mountpoint'. Together with the latitude and longitude from the source-table, the height information is used to build GGA messages to be sent to the Ntrip Broadcaster.</p><p>For adjusting latitude and longitude values of a VRS stream given in the 'Streams' canvas, you can double click the latitude/longitude data fields, specify appropriate values and then hit Enter.</p><p>This option is only relevant when option 'NMEA' is set to 'Manual GPGGA' or 'Manual GNGGA' respectively. <i>[key: serialHeightNMEA]</i></p>"));
-  _serialManualNMEASamplingSpinBox->setWhatsThis(tr("<p>Select a sampling interval in seconds for manual generation and upload of NMEA GGA sentences.</p><p>A sampling rate of '0' means, the a GGA sentence will be send only once to initialize the requested VRS stream. Note that some VRS systems need GGA sentences at regular intervals. <i>[key: serialManualNMEASampling]</i></p>"));
+  _serialNMEASamplingSpinBox->setWhatsThis(tr("<p>Select a sampling interval in seconds for manual generation and upload of NMEA GGA sentences.</p><p>A sampling rate of '0' means, a GGA sentence will be send only once to initialize the requested VRS stream. Note that some VRS systems need GGA sentences at regular intervals. <i>[key: serialNMEASampling]</i></p>"));
 
   // WhatsThis, Outages
@@ -1713,5 +1713,5 @@
   delete _serialFileNMEALineEdit;
   delete _serialHeightNMEALineEdit;
-  delete _serialManualNMEASamplingSpinBox;
+  delete _serialNMEASamplingSpinBox;
   delete _adviseObsRateComboBox;
   delete _adviseFailSpinBox;
@@ -2184,5 +2184,5 @@
   settings.setValue("serialFileNMEA",    _serialFileNMEALineEdit->text());
   settings.setValue("serialHeightNMEA",  _serialHeightNMEALineEdit->text());
-  settings.setValue("serialManualNMEASampling", _serialManualNMEASamplingSpinBox->value());
+  settings.setValue("serialNMEASampling", _serialNMEASamplingSpinBox->value());
 // Outages
   settings.setValue("adviseObsRate", _adviseObsRateComboBox->currentText());
@@ -2699,5 +2699,6 @@
   // Serial Output
   // -------------
-  if (sender() == 0 || sender() == _serialMountPointLineEdit ||
+  if (sender() == 0 ||
+      sender() == _serialMountPointLineEdit ||
       sender() == _serialAutoNMEAComboBox) {
     enable = !_serialMountPointLineEdit->text().isEmpty();
@@ -2709,9 +2710,19 @@
     enableWidget(enable, _serialFlowControlComboBox);
     enableWidget(enable, _serialAutoNMEAComboBox);
-    bool enable2 = enable && _serialAutoNMEAComboBox->currentText() == "Auto";
-    enableWidget(enable2, _serialFileNMEALineEdit);
-    bool enable3 = enable && _serialAutoNMEAComboBox->currentText().contains("Manual");
-    enableWidget(enable3, _serialHeightNMEALineEdit);
-    enableWidget(enable3, _serialManualNMEASamplingSpinBox);
+    if (enable && _serialAutoNMEAComboBox->currentText() == "Auto") {
+      enableWidget(true, _serialFileNMEALineEdit);
+      enableWidget(false, _serialHeightNMEALineEdit);
+      enableWidget(true, _serialNMEASamplingSpinBox);
+    }
+    else if (enable && _serialAutoNMEAComboBox->currentText().contains("Manual")) {
+      enableWidget(false, _serialFileNMEALineEdit);
+      enableWidget(true,  _serialHeightNMEALineEdit);
+      enableWidget(true,  _serialNMEASamplingSpinBox);
+    }
+    else {
+      enableWidget(false, _serialFileNMEALineEdit);
+      enableWidget(false, _serialHeightNMEALineEdit);
+      enableWidget(false, _serialNMEASamplingSpinBox);
+    }
   }
 
Index: /trunk/BNC/src/bncwindow.h
===================================================================
--- /trunk/BNC/src/bncwindow.h	(revision 10419)
+++ /trunk/BNC/src/bncwindow.h	(revision 10420)
@@ -200,5 +200,5 @@
     QLineEdit* _serialFileNMEALineEdit;
     QComboBox* _serialAutoNMEAComboBox;
-    QSpinBox*  _serialManualNMEASamplingSpinBox;
+    QSpinBox*  _serialNMEASamplingSpinBox;
 
     QLineEdit*   _LatLineEdit;